package config

// CustomTeamNames maps lowercase custom inputs to API-recognized team codes.
// Add aliases here, e.g.: "bama": "alabama", "osu": "ohio state"
var CustomTeamNames = map[string]string{
	"bama": "alabama",
	"barn": "auburn",
}

// Config holds the Matrix homeserver URL, bot user ID, and access token.
type Config struct {
	Homeserver  string
	UserID      string
	AccessToken string
}

// Load returns configuration with hardcoded values; replace with your bot's credentials.
func Load() *Config {
	return &Config{
		Homeserver:  "", // the URL to your Homeserver
		UserID:      "", // your bot's user ID
		AccessToken: "", // your bot's access token
	}
}
